.modal {
    --bs-modal-zindex: 1055;
    --bs-modal-width: 700px;
    --bs-modal-padding: 1rem;
    --bs-modal-margin: 10.5rem 0.5rem;
    --bs-modal-color: ;
    --bs-modal-bg: #fff;
    --bs-modal-border-color: var(--bs-border-color-translucent);
    --bs-modal-border-width: 1px;
    --bs-modal-border-radius: 0.5rem;
    --bs-modal-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-modal-inner-border-radius: calc(0.5rem - 1px);
    --bs-modal-header-padding-x: 1rem;
    --bs-modal-header-padding-y: 1rem;
    --bs-modal-header-padding: 1rem 1rem;
    --bs-modal-header-border-color: var(--bs-border-color);
    --bs-modal-header-border-width: 1px;
    --bs-modal-title-line-height: 1.5;
    --bs-modal-footer-gap: 0.5rem;
    --bs-modal-footer-bg: ;
    --bs-modal-footer-border-color: var(--bs-border-color);
    --bs-modal-footer-border-width: 1px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: var(--bs-modal-zindex);
    display: none;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    outline: 0;
}


.modal-body h1 {
    font-weight: 900;
    font-size: 2.3em;
    text-transform: uppercase;
}
.modal-body h3{
    color: #664d03;
    font-weight: 400;
    font-size: 31px;
    text-align: center;
    display: flex;
    align-items: center;
    gap: 6px;
}
.modal-body p{
    font-size: 16px;
    margin-top: 20px;
}
.modal-body a.pre-order-btn {
    background-color: var(--yellow);
  color: #000;
  border-radius: 30px;
  padding: 10px 20px;
  margin: 5px;
  display: inline-flex;
  align-items: center;
  font-size: 16px;
  font-weight: 600;
  gap: 10px;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.modal-body a.pre-order-btn svg {
    width: 18px;
    fill: #000; /* Use 'fill' for SVGs instead of 'color' */
    transition: all 0.3s ease-in-out;
}

.modal-body a.pre-order-btn:hover {
    background-color: #000;
  color: var(--yellow);
  text-decoration: none;
}

.modal-body a.pre-order-btn:hover svg {
    fill: var(--yellow);
}
.modal-body {
    position: relative;
    flex: 1 1 auto;
    padding: var(--bs-modal-padding);
    padding-top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.modal-body .footer{
    display: flex;
    gap: 10px;
    justify-content: flex-start;
    padding: 20px;
    align-items: center;
}
.pre-order-btn.whatsapp {
  background-color: #25d366;
  color: #fff;
}

.pre-order-btn.whatsapp:hover {
  background-color: #128c7e;
  color: #fff;
}
.modal-content {
    background-color: #f9f9f9;
    border-radius: 6px;
    border: 2px solid var(--yellow);
    box-shadow: 3px 3px 10px #00000078;
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: 9.5rem 0.5rem;
    pointer-events: none;
}
.modal-header {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: flex-end;
    padding: var(--bs-modal-header-padding);
    border-bottom: 0;
    border-top-left-radius: var(--bs-modal-inner-border-radius);
    border-top-right-radius: var(--bs-modal-inner-border-radius);
}

.modal-header .close {
    margin-top: -2px;
}
[type=submit], [type=reset], button, html [type=button] {
    -webkit-appearance: button;
}
button.close {
    -webkit-appearance: none;
    padding: 0;
    cursor: pointer;
    background: 0 0;
    border: 0;
}
.close {
    float: right;
    font-size: 21px;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    filter: alpha(opacity=20);
    opacity: .2;
}

.float-btn.whatsapp {
    bottom: 1rem;
    right: 1rem;
    background-color: #25d366;
}
.float-btn {
    position: absolute;
    width: 3.5rem;
    height: 3.5rem;
    line-height: 3.5rem;
    color: #fff;
    border-radius: 5rem;
    text-align: center;
    box-shadow: .2rem .2rem 1.3rem #091e3070;
    z-index: 100;
    transition: all .4s;
}

@media (max-width: 576px){
    .modal-body .footer {
        display: flex;
        gap: 10px;
        justify-content: center;
        padding: 10px;
        flex-direction: column;
    }
    .modal-body h3 {
        display: ruby;
        align-items: center;
    }
    .modal-body h3 iconify-icon{
        margin-bottom: -4px;
    }
    .pre-order-btn {
    width: 100%;
    justify-content: center;
  }

  .modal-content {
    padding: 20px 15px;
  }
}

@media (min-width: 576px) {
    .modal-dialog {
        max-width: var(--bs-modal-width);
        margin-right: auto;
        margin-left: auto;
    }
}
